<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="SocoShop.Page.GiftPackAjax" %>
<%@ Import namespace="SocoShop.Entity" %>
<%@ Import namespace="SocoShop.Business" %>
<%@ Import namespace="SocoShop.Common" %>
<%@ Import namespace="SkyCES.EntLib" %>
<%@ Import namespace="System.Diagnostics" %>
<script runat="server">
protected override void OnInit(EventArgs e)
{
	/* 
		本页面代码由天易模板生成于 2011/3/6 19:11:39.
	*/
	Stopwatch sw = new Stopwatch();
	sw.Start();
	base.OnInit(e);
	sw.Stop();
	 decimal processTime=Convert.ToDecimal(sw.ElapsedMilliseconds) / 1000;
	StringBuilder document = new StringBuilder();
	foreach(GiftPackInfo giftPack in giftPackList)
{
	document.Append("<div class=\"giftPack\">\r\n");
	document.Append("    <div class=\"photo\"><a href=\"/GiftPackDetail-I"+giftPack.ID+".aspx\" target=\"_blank\"><img src=\""+giftPack.Photo.Replace("Original","150-60")+"\" onload=\"photoLoad(this,150,60)\"  /></a></div>\r\n");
	document.Append("    <div class=\"info\">\r\n");
	document.Append("        <ul>\r\n");
	document.Append("            <li class=\"title\"><a href=\"/GiftPackDetail-I"+giftPack.ID+".aspx\" target=\"_blank\">"+giftPack.Name+"</a></li>\r\n");
	document.Append("            <li>价格：<span>"+giftPack.Price+"</span></li>\r\n");
	document.Append("            <li class=\"time\">活动时间："+giftPack.StartDate.ToString("yyyy年MM月dd日")+" — "+giftPack.EndDate.ToString("yyyy年MM月dd日")+"</li>\r\n");
	document.Append("        </ul>\r\n");
	document.Append("    </div>\r\n");
	document.Append("</div>\r\n");
	}
	if(ajaxPagerClass.Count>6)
{
	document.Append("<div class=\"height10\"></div>\r\n");
	document.Append(""+ajaxPagerClass.ShowPage()+"\r\n");
	 }
	Response.Write(document.ToString());
}
</script>